package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 19.通过用户地址请求人脸核身h5url
 * @class: FaceUrlByAddressReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:34
 */
@Data
public class Nft019FaceUrlByAddressReq implements Serializable {
    /**
     * 用户地址
     */
    private String address;
    /**
     * browser:标识在浏览器启动刷脸 App:标识在App里启动刷脸，默认值为App
     */
    //@Null
    private String from;
    private static final Nft019FaceUrlByAddressReq obj = new Nft019FaceUrlByAddressReq();
    private static final long serialVersionUID = -2844476559915417939L;

    public static Nft019FaceUrlByAddressReq getNew() {
        try {
            return (Nft019FaceUrlByAddressReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft019FaceUrlByAddressReq();
        }
    }
}
